@import url("https://fonts.googleapis.com/css2?family=Big+Shoulders+Display:wght@700&family=Lexend+Deca&display=swap");
/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role=list],
ol[role=list] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
*::before,
*::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}
:root {
  --clr-bright-orange: hsl(31, 77%, 52%);
  --clr-dark-cyan: hsl(184, 100%, 22%);
  --clr-very-dark-cyan: hsl(179, 100%, 13%);
  --clr-transparent-white: hsla(0, 0%, 100%, 0.75);
  --clr-very-light-gray: hsl(0, 0%, 95%);
  --font-size: 15px;
  --font-family-lexend-deca: "Lexend Deca", sans-serif;
  --font-family-big-shoulders-display: "Big Shoulders Display", cursive;
}

body {
  font-size: var(--font-size);
  font-family: var(--font-family-lexend-deca);
  font-weight: 400;
  background-color: var(--clr-transparent-white);
}

main {
  margin: 5rem 1.5rem;
}
@media (min-width: 768px) {
  main {
    display: flex;
    justify-content: center;
  }
}
main :first-child {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
@media (min-width: 768px) {
  main :first-child {
    border-bottom-left-radius: 10px;
    border-top-right-radius: 0;
  }
}
main :last-child {
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}
@media (min-width: 768px) {
  main :last-child {
    border-bottom-left-radius: 0;
    border-top-right-radius: 10px;
  }
}

.card {
  color: var(--clr-transparent-white);
  padding: 40px;
}
@media (min-width: 768px) {
  .card {
    max-width: 300px;
  }
}
.card > * + * {
  margin-top: 2rem;
}
.card-title {
  color: var(--clr-very-light-gray);
  font-size: 2rem;
  font-family: var(--font-family-big-shoulders-display);
  font-weight: 700;
  text-transform: uppercase;
}
.card .btn {
  padding: 0.5rem 1rem;
  border-radius: 2rem;
  outline: unset;
  border: 1px solid transparent;
}
.card .btn:hover {
  cursor: pointer;
}
.card.sedan {
  background-color: var(--clr-bright-orange);
}
.card.sedan .btn {
  color: var(--clr-bright-orange);
}
.card.sedan .btn:hover {
  border: 1px solid var(--clr-transparent-white);
  color: var(--clr-transparent-white);
  background-color: 1px solid var(--clr-bright-orange);
}
.card.suv {
  background-color: var(--clr-dark-cyan);
}
.card.suv .btn {
  color: var(--clr-dark-cyan);
}
.card.suv .btn:hover {
  color: var(--clr-transparent-white);
  border: 1px solid var(--clr-transparent-white);
  background-color: 1px solid var(--clr-dark-cyan);
}
.card.luxury {
  background-color: var(--clr-very-dark-cyan);
}
.card.luxury .btn {
  color: var(--clr-very-dark-cyan);
}
.card.luxury .btn:hover {
  color: var(--clr-transparent-white);
  border: 1px solid var(--clr-transparent-white);
  background-color: 1px solid var(--clr-very-dark-cyan);
}

/*# sourceMappingURL=style.css.map */
